<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-W5JC8S');</script>
<!-- End Google Tag Manager -->

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">

	<link
		href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i,800,800i&amp;subset=cyrillic,cyrillic-ext,greek,greek-ext,latin-ext,vietnamese"
		rel="stylesheet">

	<!-- <link rel="stylesheet" href="<?= get_stylesheet_directory_uri(); ?>/libs/swiper/dist/css/swiper.min.css"> -->
	<link rel="stylesheet" href="<?= get_stylesheet_directory_uri(); ?>/css/style.css">
	<link rel="shortcut icon" href="<?= get_stylesheet_directory_uri(); ?>/images/favicon.ico">

	<?php wp_head(); ?>

	<?php
    $post 				=	get_post( $post->ID );
    $post_title 		=	$post->post_title;
	$post_description   =	get_the_excerpt();
	$site_name 			=	"https://blog.saltedge.com";
    
    $twitter_tags 		=	'saltedge';
	$post_url			=	get_permalink($post->ID); // $url = rawurlencode($url);
		
	$attachment_id	    =	get_post_thumbnail_id(get_the_ID());
	$metadata			=	wp_get_attachment_metadata($attachment_id);
    $image_url			=	get_the_post_thumbnail_url();
	$image_width		=	$metadata['width'];
	$image_height 		=	$metadata['height'];
	$image_alt			=	trim(strip_tags( get_post_meta($attachment_id, '_wp_attachment_image_alt', true) )) ; 		 
  ?>

<meta name="twitter:card" content="summary_large_image" />
<meta name="twitter:site" content="<?php echo $site_name; ?>" />
<meta name="twitter:title" content="<?php echo $post_title; ?>" />
<meta name="twitter:description" content="<?php echo $post_description; ?>" />
<meta name="twitter:image" content="<?php echo $image_url; ?>" />

<meta property="fb:app_id" content="565479740744577" />
<meta property="og:type" content="article" />
<meta property="og:title" content="<?php echo $post_title; ?>" />
<meta property="og:url" content="<?php echo $post_url; ?>" />
<meta property="og:site_name" content="<?php echo $site_name; ?>" />
<meta property="og:description" content="<?php echo $post_description; ?>" />

<meta property="og:image" content="<?php echo $image_url; ?>" />
<meta property="og:image:type" content="image/jpeg" />
<meta property="og:image:width" content="<?php echo $image_width; ?>" />
<meta property="og:image:height" content="<?php echo $image_height; ?>" />
<meta property="og:image:alt" content="<?php echo $image_alt; ?>" />

</head>

<body <?php if (is_404()) { ?> class="page-404" <?php } ?>>

<!-- Facebook SDK -->
<script>
  window.fbAsyncInit = function() {
    FB.init({
      appId            : '565479740744577',
      autoLogAppEvents : true,
      xfbml            : true,
      version          : 'v6.0'
    });
  };
</script>
<script async defer src="https://connect.facebook.net/en_US/sdk.js"></script>
<!-- End Facebook SDK -->

<!-- Twitter widget JavaScript events -->
<script>window.twttr = (function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0],
    t = window.twttr || {};
  if (d.getElementById(id)) return t;
  js = d.createElement(s);
  js.id = id;
  js.src = "https://platform.twitter.com/widgets.js";
  fjs.parentNode.insertBefore(js, fjs);

  t._e = [];
  t.ready = function(f) {
    t._e.push(f);
  };

  return t;
}(document, "script", "twitter-wjs"));</script>
<!-- End Twitter widget JavaScript events -->

<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-W5JC8S"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

	<div class="<?php if (!is_home()) { ?>post-page <?php } ?>page">
		<header class="header">
			<div class="container">
				<div class="header__content">

					<div class="header__logo-wrap">
						<a class="header__logo-url" href="<?= get_home_url(); ?>">
							<img class="header__logo-img svg" alt="Logo" src="<?= get_stylesheet_directory_uri(); ?>/images/header-logo.svg">
						</a>
					</div>

					<div class="header__menu-wrap">
						<ul class="header__menu">
							<li class="header__menu-item header__menu-item_custom">
								<div class="header__menu-text-wrap">
									<span class="header__menu-item-text">Products</span>
								</div>
								<div class="header__submenu-wrap header__submenu-wrap_custom">
									<ul class="header__submenu header__submenu_custom">
										<li class="header__submenu-item header__submenu-item_custom">
											<a class="header__submenu-url header__submenu-url_aggregation" href="https://www.saltedge.com/products/spectre">
												Global Data Aggregation
											</a>
										</li>
										<li class="header__submenu-item header__submenu-item_custom">
											<a class="header__submenu-url header__submenu-url_platform" href="https://www.saltedge.com/products/data_enrichment">
												Data Enrichment Platform
											</a>
										</li>
										<li class="header__submenu-item header__submenu-item_custom">
											<a class="header__submenu-url header__submenu-url_account" href="https://www.saltedge.com/products/psd2_account_info">
												PSD2 Account Information API
											</a>
										</li>
										<li class="header__submenu-item header__submenu-item_custom">
											<a class="header__submenu-url header__submenu-url_payment" href="https://www.saltedge.com/products/psd2_payment_initiation">
												Open Banking Payment Gateway
											</a>
										</li>
										<li class="header__submenu-item header__submenu-item_custom">
											<a class="header__submenu-url header__submenu-url_compliance" href="https://www.saltedge.com/products/priora">
												PSD2 Compliance Solution for Banks
											</a>
										</li>
										<li class="header__submenu-item header__submenu-item_custom">
											<a class="header__submenu-url header__submenu-url_authentication" href="https://www.saltedge.com/products/strong_customer_authentication">
												Strong Customer Authentication Solution
											</a>
										</li>
										<li class="header__submenu-item header__submenu-item_custom">
											<a class="header__submenu-url header__submenu-url_retail" href="https://www.saltedge.com/products/finext">
												White Label Retail Banking
											</a>
										</li>
									</ul>
								</div>
							</li>

							<li class="header__menu-item">
								<div class="header__menu-text-wrap">
									<span class="header__menu-item-text">Solutions</span>
								</div>
								<div class="header__submenu-wrap">
									<ul class="header__submenu">
										<li class="header__submenu-item">
											<a class="header__submenu-url" href="https://www.saltedge.com/solutions_for_banks">
												For Banks
											</a>
										</li>
										<li class="header__submenu-item">
											<a class="header__submenu-url" href="https://www.saltedge.com/solutions_for_lenders">
												For Lenders
											</a>
										</li>
										<li class="header__submenu-item">
											<a class="header__submenu-url" href="https://www.saltedge.com/solutions_for_finapps">
												For FinApps
											</a>
										</li>
										<li class="header__submenu-item">
											<a class="header__submenu-url" href="https://www.saltedge.com/products/psd2_payment_initiation">
												For PISP
											</a>
										</li>
									</ul>
								</div>
							</li>

							<li class="header__menu-item">
								<div class="header__menu-text-wrap">
									<span class="header__menu-item-text">Company</span>
								</div>
								<div class="header__submenu-wrap">
									<ul class="header__submenu">
										<li class="header__submenu-item">
											<a class="header__submenu-url" href="https://www.saltedge.com/pages/about">
												About Us
											</a>
										</li>
										<li class="header__submenu-item">
											<a class="header__submenu-url" href="https://blog.saltedge.com" data-filter-type="blog">
												Blog
											</a>
										</li>
										<li class="header__submenu-item">
											<a class="header__submenu-url" href="https://www.saltedge.com/products/spectre/security" target="_blank">
												Security
											</a>
										</li>
									</ul>
								</div>
							</li>

							<li class="header__menu-item">
								<div class="header__menu-text-wrap">
									<span class="header__menu-item-text">Resources</span>
								</div>
								<div class="header__submenu-wrap">
									<ul class="header__submenu">
										<li class="header__submenu-item">
											<a class="header__submenu-url" href="https://www.saltedge.com/resources#presentations">
												Presentations
											</a>
										</li>
										<li class="header__submenu-item">
											<a class="header__submenu-url" href="https://www.saltedge.com/resources#product-sheets">
												Product Sheets
											</a>
										</li>
										<li class="header__submenu-item">
											<a class="header__submenu-url" href="https://www.saltedge.com/resources#case-studies">
												Case Studies
											</a>
										</li>
										<li class="header__submenu-item">
											<a class="header__submenu-url" href="https://www.saltedge.com/pages/site_map">
												Site Map
											</a>
										</li>
									</ul>
								</div>
							</li>
						</ul>

						<a class="header__contact-url" target="_blank" href="https://www.saltedge.com/pages/contact">
							Contact us
						</a>
					</div>

					<div class="header__menu-btn-wrap">
						<span class="header__menu-btn-label">Menu</span>
						<div class="header__menu-btn">
							<span class="header__menu-btn-item"></span>
						</div>
					</div>

				</div>
			</div>
		</header>

		<!--open 'div.main_body' -->
		<div class="main_body">