// Open/close full-screen header-menu on mobile resolution.
//
$(document).ready(function () {
  let headerHeight = $('.header').outerHeight();
  let header = $('.header');
  let animationDuration = 600;

  $('.header__menu-btn-wrap').on('click', function () {
    let windowHeight = $(window).height();

    $('body').toggleClass('mm-opened');
    header.toggleClass('open');

    if (header.hasClass('open')) {

      $('.header__menu-wrap').fadeIn();
      header.stop().animate({ height: windowHeight }, animationDuration);

      $(window).resize(function () {
        header.css('height', $(window).height());
      });

    } else {

      $('.header__menu-wrap').fadeOut();
      header.stop().animate({ height: headerHeight }, animationDuration);
      setTimeout(function () {
        $(header).attr('style', '');
        $('.header__menu-wrap').attr('style', '');
      }, animationDuration + 50);

      $(window).off('resize');
    }

    if (header.hasClass('open')) {

    }
  });

});

// Toggle class. For animation header-menu icon.
//
$(document).ready(function () {
  "use strict";

  let toggles = document.querySelectorAll(".header__menu-btn-wrap");

  for (let i = toggles.length - 1; i >= 0; i--) {
    let toggle = toggles[i];
    toggleHandler(toggle);
  };

  function toggleHandler(toggle) {
    toggle.addEventListener("click", function (e) {
      let elem = this.querySelector(".header__menu-btn");
      e.preventDefault();
      (elem.classList.contains("header__icon-is-active") === true) ? elem.classList.remove("header__icon-is-active") : elem.classList.add("header__icon-is-active");
    });
  }
});

//  Action on resize window
//
$(document).ready(function () {

  // Remove className or attribute 'style' on resize window
  //
  function clearsEffectsOnResize() {
    $('.header__submenu-wrap, .footer__body-item').removeAttr('style');
    $('.header__menu-text-wrap.header__menu-active').removeClass('header__menu-active');

    if ($(window).outerWidth() >= 768 && $(window).outerWidth() < 992) {
      $('.header__menu-btn.header__icon-is-active').removeClass('header__icon-is-active');
      $('.header.open, .header__menu-wrap').removeAttr('style');
      $('.header.open').removeClass('open');

    } else if ($(window).outerWidth() >= 992 && $(window).outerWidth() < 1200) {
      $('.footer__body-item-wrap.footer__body-item-wrap_active').removeClass('footer__body-item-wrap_active');
      $('.footer__body-title').removeClass('footer__menu-active');
      $('.footer__body-item').removeAttr('style');
    }
  }

  // On load page launches the necessary functions.
  //
  let resizeToggle = false;
  let sm = 'sm';
  let md = 'md';
  let lg = 'lg';
  let xl = 'xl';

  addOldContentClass();

  if ($(window).outerWidth() < 768) {
    $('.header__menu .header__menu-text-wrap').on('click', mobileSlideToggle);
    $('.footer__body-content .footer__body-title').on('click', mobileFooterSlideToggle);
    resizeToggle = sm;

  } else if ($(window).outerWidth() >= 768 && $(window).outerWidth() < 992) {
    $(".header__menu-item").on('mouseenter', desktopHeaderMenuMouseenter);
    $(".header__menu-item").on('mouseleave', desktopHeaderMenuMouseleave);
    $('.footer__body-content .footer__body-title').on('click', mobileFooterSlideToggle);
    resizeToggle = md;

  } else if ($(window).outerWidth() >= 992) {
    $(".header__menu-item").on('mouseenter', desktopHeaderMenuMouseenter);
    $(".header__menu-item").on('mouseleave', desktopHeaderMenuMouseleave);
    resizeToggle = lg;
  }

  // On resize window disable/enable necessary functions.
  //
  $(window).resize(function () {
    if (resizeToggle !== sm && $(window).outerWidth() < 768) {
      clearsEffectsOnResize();

      $(".header__menu-item").off('mouseenter', desktopHeaderMenuMouseenter);
      $(".header__menu-item").off('mouseleave', desktopHeaderMenuMouseleave);
      $('.footer__body-content .footer__body-title').off('click', mobileFooterSlideToggle);

      $('.header__menu .header__menu-text-wrap').on('click', mobileSlideToggle);
      $('.footer__body-content .footer__body-title').on('click', mobileFooterSlideToggle);

      resizeToggle = sm;

    } else if (resizeToggle !== md && $(window).outerWidth() >= 768 && $(window).outerWidth() < 992) {
      clearsEffectsOnResize();

      $('.header__menu .header__menu-text-wrap').off('click', mobileSlideToggle);
      $('.footer__body-content .footer__body-title').off('click', mobileFooterSlideToggle);

      $(".header__menu-item").on('mouseenter', desktopHeaderMenuMouseenter);
      $(".header__menu-item").on('mouseleave', desktopHeaderMenuMouseleave);
      $('.footer__body-content .footer__body-title').on('click', mobileFooterSlideToggle);

      resizeToggle = md;

    } else if (resizeToggle !== lg && $(window).outerWidth() >= 992) {
      clearsEffectsOnResize();

      $('.footer__body-content .footer__body-title').off('click', mobileFooterSlideToggle);

      $(".header__menu-item").on('mouseenter', desktopHeaderMenuMouseenter);
      $(".header__menu-item").on('mouseleave', desktopHeaderMenuMouseleave);
      resizeToggle = lg;
    }
  });
});

// Activation slidedown/slideup for header-submenu on mobile resolution.
//
function mobileSlideToggle() {
  let btnActiveClass = 'header__menu-active';
  let btnClass = '.header__menu-text-wrap';
  let mainMenuClass = '.header__menu';
  let menuWrapClass = '.header__menu-item';
  let menuClass = '.header__submenu-wrap';
  let dropDown = $(this).closest(menuWrapClass).find(menuClass);

  $(this).closest(mainMenuClass).find(menuClass).not(dropDown).slideUp();

  if ($(this).hasClass(btnActiveClass)) {
    $(this).removeClass(btnActiveClass);
  } else {
    $(this).closest(mainMenuClass).find(btnClass + '.' + btnActiveClass).removeClass(btnActiveClass);
    $(this).addClass(btnActiveClass);
  }
  dropDown.stop(false, true).slideToggle();
}

// Activation slideDown for header-submenu on desktop resolution. (on mouse enter)
//
function desktopHeaderMenuMouseenter() {
  clearTimeout($.data(this, 'timer'));
  $(this).find('.header__menu-item-text').addClass("header__menu-item-text_active");
  $('.header__submenu-wrap', this).stop(true, true).slideDown(200);
}

// Activation slideUp for header-submenu on desktop resolution. (on mouse leave)
//
function desktopHeaderMenuMouseleave() {
  $.data(this, 'timer', setTimeout($.proxy(function () {
    $(this).find('.header__menu-item-text').removeClass("header__menu-item-text_active");
    $('.header__submenu-wrap', this).stop(true, true).slideUp(30);
  }, this), 100));
}

// Activation slidedown/slideup for footer-submenu on mobile resolution.
//
function mobileFooterSlideToggle() {

  let btnActiveClass = 'footer__menu-active';
  let btnClass = '.footer__body-title';
  let menuActiveClass = 'footer__body-item-wrap_active';
  let mainMenuClass = '.footer__body-content';
  let menuWrapClass = '.footer__body-item-wrap';
  let menuClass = '.footer__body-item';
  let dropDown = $(this).closest(menuWrapClass).find(menuClass);

  $(this).closest(mainMenuClass).find(menuClass).not(dropDown).slideUp();

  if ($(this).hasClass(btnActiveClass)) {
    $(this).removeClass(btnActiveClass);
    $(this).parent().removeClass(menuActiveClass);
  } else {
    $(this).closest(mainMenuClass).find(btnClass + '.' + btnActiveClass).removeClass(btnActiveClass);
    $(this).addClass(btnActiveClass);
    $(this).closest(mainMenuClass).find(menuWrapClass + '.' + menuActiveClass).removeClass(menuActiveClass);
    $(this).parent().addClass(menuActiveClass);
  }

  dropDown.stop(false, true).slideToggle();
}

// Replace all SVG images with class "svg" to inline SVG
//
$(function () {
  "use strict";

  $("img.svg").each(function () {

    var $img = jQuery(this);
    var attributes = $img.prop("attributes");
    var imgURL = $img.attr("src");

    $.get(imgURL, function (data) {

      var $svg = $(data).find('svg'); // Find all elements with class name 'svg'
      $svg = $svg.removeAttr('xmlns:a');

      $.each(attributes, function () {
        $svg.attr(this.name, this.value);
      });

      $img.replaceWith($svg);
    });
  });
});

$(function () {

  $(".blog-article__photo-wrap img").each(function(){
	if(!$(this).hasClass('img-test')) {
	    let srcseta = $(this).attr('data-orig-file');
		$(this).attr('src', srcseta);
	   }
  });
});

// Popup function.
//
$(function () {
  $(".blog-article__photo-wrap img").on('click', function () {
    let body = $('body');
    let windowWidth = $(window).width();
    let windowFullWidth = window.innerWidth;
    let imgOverlay = $('.blog-article__img-overlay');

    getSrc($(this));
    getPhotoName($(this));

    if (windowFullWidth !== windowWidth) {
      body.css('padding-right', windowFullWidth - windowWidth);
    }

    body.css('overflow', 'hidden');

    $(".blog-article__popup-bg-photo").show();
    imgOverlay.attr('src', $src);
    imgOverlay.fadeIn('fast');

  });

  $(".blog-article__popup-bg-photo").on('click', function () {
    disableImgPopup()
  });

  $(".blog-article__img-overlay").on('click', function () {
    disableImgPopup()
  });

  function disableImgPopup() {
    let imgOverlay = $('.blog-article__img-overlay');
    let photoNameZoom = $('.blog-article__photo-name-zoom');

    imgOverlay.fadeOut();
	imgOverlay.removeAttr('src');
    $(".blog-article__popup-bg-photo").fadeOut('slow');
    $('body').removeAttr('style');
    photoNameZoom.empty();
  }

  // Get image src for popup function.
  //
  function getSrc(thisPhoto) {
      $src  = thisPhoto.attr('src');
    return $src;
  }

  // Get photo caption for popup function.
  //
  function getPhotoName(thisPhoto) {
    let photoName = thisPhoto.parent().next();

    if (photoName.hasClass('blog-article__photo-name')) {
      let photoNameText = photoName.text();
      let photoNameZoom = $('.blog-article__photo-name-zoom');

      photoNameZoom.text(photoNameText);
      photoNameZoom.fadeIn();
    }
  }
});

// Crop text in article preview.
//
$(document).ready(function () {
  $.fn.textCrop = function () {
    return this.each(function () {

      let containerHeight = $(this).outerHeight();
      let dataHeight = $(this).find('.blog-list__date-wrap').outerHeight(true);
      let titleHeight = $(this).find('.blog-list__item-title-wrap').outerHeight(true);
      let text = $(this).find('.blog-list__item-text p');
      let textLineHeight = text.css('line-height').match(/\d+/);
      let textHeight = containerHeight - dataHeight - titleHeight;
      textHeight = textHeight - (textHeight % textLineHeight);
      let textLines = textHeight / textLineHeight;

      textLines = textLines.toFixed();
      text.height(textHeight);
      text.css('-webkit-line-clamp', textLines);

      $(this).removeClass('blog-list__check-text');
    });
  };

  let textInterval;
  let buttonInterval;

  checkTextInterval();
  checkButtonInterval();

  function checkTextInterval() {
    textInterval = setInterval(cropText, 50);
    setTimeout(function () { clearInterval(textInterval); }, 3500);
  }

  function checkButtonInterval() {
    buttonInterval = setInterval(checkButton, 50);
    setTimeout(function () { clearInterval(buttonInterval); }, 3500);
  }

  function cropText() {
    if ($('.blog-list__check-text').length) {
      $('.blog-list__check-text').textCrop();
      clearInterval(textInterval);
    }
  }

  function checkButton() {
    if ($('.alm-load-more-btn').length) {
      $('.alm-load-more-btn').on("click", function () {
        checkTextInterval();
      });
      clearInterval(buttonInterval);
    }
  }

});

function addOldContentClass() {

  let classList = '.new-content, .blog-article__description, .blog-article__title, .blog-article__title_secondary, .blog-article__title_tertiary, .blog-slider, .blog-article__text, .blog-article__blockquote-lvl-1, .blog-article__blockquote-lvl-2, .blog-article__quote-author, .blog-article__photo-wrap, .blog-article__photo-name, .blog-article__unordered-list, .blog-article__ordered-list';
  let items = $('.blog-article__text-wrap').children();

  items.not(classList).each(function () {
    $(this).attr('class', 'blog-article__old-content-item');
  });

}

// Anchor to header (top)
//
$(document).ready(function () {
  if ($(window).scrollTop() > 400) {
    $('.scroll-top').fadeIn();
  } else if ($(window).scrollTop() < 500) {
    $('.scroll-top').fadeOut();
  }

  // Add/remove class on scroll for header and for anchor to header.
  //
  $(window).on('scroll', function () {
    if ($(window).scrollTop() > 400) {
      $('.scroll-top').fadeIn();
    } else if ($(window).scrollTop() < 500) {
      $('.scroll-top').fadeOut();
    }
  });

  $(".scroll-top").on("click", function () {
    $("html, body").animate({
      scrollTop: 0
    }, "slow");
    return false;
  });
});

function subscribeSuccess() {
  let subscribeTitle = $('.es_caption');
  let animationDuration = 50;

  subscribeTitle.animate({ opacity: 0 }, animationDuration);

  setTimeout(function () {
    subscribeTitle.text('');
    subscribeTitle.append('Thanks!<span>You’ve successfully subscribed to our newsletter.</span>');
  }, animationDuration);

  subscribeTitle.animate({ opacity: 1 }, animationDuration * 4);
}

(function () {
  let body = $('body');
  let slide = $('.blog-slider');
  let slideImg = $('.blog-slider img');
  let windowWidth = $(window).width();
  let windowFullWidth = window.innerWidth;
  let windowHeight = $(window).height();
  let slideSwitchDelay = 120;

  slide.each(function () {
    let thisSliderLength = $(this).children().length;
    let maxNumberSlide = 4;

    if (thisSliderLength > maxNumberSlide) {
      $(this).children().slice(maxNumberSlide).remove();
    }
  });

  slideImg.removeAttr('width height styles class').addClass('blog-slider__img');
  slideImg.wrap('<div class="blog-slider__img-wrap"></div>');

  addSliderClassName();
  function addSliderClassName() {
    $('.blog-slider').each(function () {
      if ($(this).children().length === 2) {
        $(this).addClass('blog-slider_double-slider');
        $(this).find('.blog-slider__img-wrap').addClass('blog-slider__img-wrap_double-slider');

      } else if ($(this).children().length === 3) {
        $(this).addClass('blog-slider_triple-slider');
        $(this).find('.blog-slider__img-wrap').addClass('blog-slider__img-wrap_triple-slider');

      } else if ($(this).children().length >= 4) {
        $(this).addClass('blog-slider_quadro-slider');
        $(this).find('.blog-slider__img-wrap').addClass('blog-slider__img-wrap_quadro-slider');
      }
    });
  }

  enableSlider();

  $(window).resize(function () {
    windowWidth = $(window).width();
    windowFullWidth = window.innerWidth;
    windowHeight = $(window).height();
  });

  function enableSlider() {
    slideImg.on('click', function () {

      if (windowFullWidth !== windowWidth) {
        body.css('padding-right', windowFullWidth - windowWidth);
      }

      body.css('overflow', 'hidden');
      $('.blog-slider__popup-bg').fadeIn('fast');
      $('.blog-slider__popup-slider').fadeIn('slow');

      $(this).parent().parent().clone().appendTo('.blog-slider__popup-slider');

      $('.blog-slider__popup-slider .blog-slider').addClass('blog-slider-active');
      $('.blog-slider__popup-slider .blog-slider').removeClass('blog-article__slider blog-slider_double-slider blog-slider_triple-slider blog-slider_quadro-slider');
      $('.blog-slider-active').find('.blog-slider__img-wrap').attr('class', 'blog-slider__img-wrap_active');
      $('.blog-slider-active').find('.blog-slider__img').addClass('blog-slider__img_active').removeClass('blog-slider__img');

      let index = $(this).parent().index();
      $('.blog-slider__popup-slider .blog-slider').slick({
        centerMode: true,
        draggable: false,
        swipe: false,
        infinite: false,
        dots: true,
        dotsClass: 'blog-slider__dots-wrap',
        variableWidth: true,
        initialSlide: index,
        delayArrow: slideSwitchDelay,
        speed: 10,
        prevArrow: '<button type="button" class="blog-slider__prev"></button>',
        nextArrow: '<button type="button" class="blog-slider__next"></button>'
      });

      setTimeout(function () {
        slideClassToggle();
      }, 100);

      imageMaxSize();
      preNextClick();

      setTimeout(function () {
        enableNextPrevHover();
      }, 160);

      slideImg.off('click');
      $('.blog-slider-active').on('click', function () {
        disableSlider();
      });
    });
  }

  function disableSlider() {
    $('.blog-slider__popup-slider').empty();
    body.removeAttr('style');
    $('.blog-slider__popup-slider').fadeOut('slow');
    $('.blog-slider__popup-bg').fadeOut('fast');
    enableSlider();
  }

  function preNextClick() {
    $('.blog-slider__prev, .blog-slider__next').on('click', function (e) {
      e.stopPropagation();
      sliderAnimationOut();

      setTimeout(function () {
        slideClassToggle();
        return false;
      }, slideSwitchDelay);
    });
  }

  function enableNextPrevHover() {
    $('.blog-slider__prev').hover(function () {
      $('.blog-slider-active').addClass('blog-slider_hover-before');
    }, function () {
      $('.blog-slider-active').removeClass('blog-slider_hover-before');
    });

    $('.blog-slider__next').hover(function () {
      $('.blog-slider-active').addClass('blog-slider_hover-after');
    }, function () {
      $('.blog-slider-active').removeClass('blog-slider_hover-after');
    });
  }

  function imageMaxSize() {

    let slideWidth;
    let rightLeftPadding;
    let slidePaddingPercent;
    let slideContainerPercentWidth;

    let percent = 70;
    let bodyWidthCorrector = 0;
    let maxHeight = windowHeight / 100 * percent;

    if (windowFullWidth !== windowWidth) {
      bodyWidthCorrector = windowFullWidth - windowWidth;
    }

    if (windowWidth < 768) {
      slidePaddingPercent = 12;
      slideWidth = windowFullWidth;
      rightLeftPadding = windowFullWidth / 100 * slidePaddingPercent;

    } else if (windowWidth >= 768 && windowWidth < 1650) {
      slideContainerPercentWidth = 76.8229;
      slidePaddingPercent = 1.953125;
      slideWidth = windowFullWidth / 100 * slideContainerPercentWidth;
      rightLeftPadding = windowFullWidth / 100 * slidePaddingPercent;

    } else if (windowWidth >= 1650) {
      slideWidth = 1280;
      rightLeftPadding = 40;
    }

    $('.slick-slide').css({
      'max-width': slideWidth
    });
    $('.blog-slider__img-wrap_active').css({
      'padding-right': rightLeftPadding,
      'padding-left': rightLeftPadding
    });
    $('.blog-slider__img_active').css({
      'max-height': maxHeight
    });
  }

  function slideClassToggle() {
    let currentSlide = $('.slick-current');

    currentSlide.prev().removeClass('blog-slider__current-slide');
    currentSlide.prev().addClass('blog-slider__prev-slide');

    currentSlide.removeClass('blog-slider__prev-slide');
    currentSlide.removeClass('blog-slider__next-slide');
    currentSlide.addClass('blog-slider__current-slide');

    currentSlide.next().removeClass('blog-slider__current-slide');
    currentSlide.next().addClass('blog-slider__next-slide');

    sliderAnimationIn();
  }

  function sliderAnimationIn() {
    $('.slick-slide').fadeIn(slideSwitchDelay / 2);
  }

  function sliderAnimationOut() {
    $('.slick-slide').fadeOut(slideSwitchDelay / 1.5);
  }
}());

$(document).ready(function () {
  $('.emaillist').prepend($('.es_caption'));
  $('.es_caption').append('<span>Join our mailing list to receive the latest news from Salt Edge</span>');
  $('.es_subscription_form_submit').wrap('<div class="blog-article__subscribe-btn-wrap"</div>');
  $('.es_subscription_form.es_shortcode_form').append('<p class="blog-article__subscribe-text">By submitting your email you agree to receive email updates from Salt Edge about its products, resources and services in accordance with Terms of Service and Privacy Policy. You can unsubscribe at any time.</p>');
  $('.es_required_field.es_txt_email').attr('placeholder', 'Email').removeAttr('type required');

  $('.es_subscription_form_submit.es_submit_button.es_textbox_button').click(function () {

    let interval = setInterval(moveErrorMessage, 50);

    setTimeout(function () {
      clearInterval(interval);
    }, 3000);

    function moveErrorMessage() {
      if ($('.es_subscription_message').hasClass('error')) {
        $('.es_subscription_message').prependTo($('.es_subscription_form.es_shortcode_form'));
        clearInterval(interval);
      } else if ($('.es_subscription_message').hasClass('success')) {
        subscribeSuccess();
        clearInterval(interval);
      }
    }

  });

});

$(document).ready(function () {

  let windowWidth = $(window).outerWidth();
  let htmlMarginTop = $('html').css('margin-top');
  let status = 'Disable';

  if (windowWidth <= 600 && status == 'Disable') {
    wordpressHeaderFix();
  }

  $(window).resize(function () {

    windowWidth = $(window).outerWidth();

    if (status === 'Disable' && windowWidth <= 480) {
      htmlMarginTop = $('html').css('margin-top');
      console.log(htmlMarginTop);
      wordpressHeaderFix();

    } else if (status === 'Enable' && windowWidth > 480) {
      disableWordpressHeaderFix();
    }

  });

  function wordpressHeaderFix() {
    if ($('#wpadminbar').length) {
      $('#wpadminbar').css({
        'margin-top': '-' + htmlMarginTop,
        'opacity': '1'
      });
      status = 'Enable';
    }
  }

  function disableWordpressHeaderFix() {
    $('#wpadminbar').css({
      'margin-top': '0'
    });
    status = 'Disable';
  }
});