<?php get_header(); ?>

<div class="blog-article">
  <div class="container">
    <div class="blog-article__content">
      <div class="blog-article__img-wrap">
        <img class="blog-article__img" src="<?= get_the_post_thumbnail_url(); ?>">
      </div>
      <div class="blog-article__article-content">
      
        <div class="blog-article__date-wrap">
          <div class="blog-article__date">
            <span class="blog-article__hour">
              <?= get_the_date("d", get_the_ID()); ?>
            </span>
            <span class="blog-article__month-year">
              <?= get_the_date("M Y", get_the_ID()); ?>
            </span>
          </div>
          <span class="blog-article__min-read">
            <?php
              $LettersPerMinute = 1500; // The average speed of reading letters per minute
              $postContent = get_post_field('post_content', $post_id);
              $postLength = strlen($postContent);
              $postLength = $postLength  / $LettersPerMinute;
              echo round($postLength);
            ?>
            min read
          </span>
        </div>

        <h1 class="blog-article__title">
          <?php
          wp_get_post_tags( $post_id, $args );
          $post = get_post( $post->ID );
            echo $post->post_title;
          ?>
        </h1>

        <div class="blog-article__text-wrap">
          <?php
            $post = get_post($post->ID);
            echo apply_filters('the_content', $post->post_content);
          ?>
        </div>

        <div class="blog-article__social">
          <p class="blog-article__social-title">
            Share this article
          </p>

          <?php
          $post = get_post( $post->ID );
          $title = $post->post_title;
          $annotation = get_the_excerpt();
          $image_url = get_the_post_thumbnail_url();
          
          $tags = get_tags();
          $twitter_tags = 'saltedge';
          $url = get_permalink($post->ID);
          $url = rawurlencode($url);
          ?>

          <div class="blog-article__social-item">
            <a class="blog-article__social-url" target="_blank" href="https://www.twitter.com/share?text=<?php echo $title ?>&hashtags=<?php echo $twitter_tags ?>&url=<?php echo $url ?>" >
              <img class="blog-article__social-img blog-article__social-img_twitter svg" alt="Twitter" src="<?= get_stylesheet_directory_uri(); ?>/images/blog-article-social-twitter.svg">
            </a>
          </div>
          <div class="blog-article__social-item">
            <a class="blog-article__social-url" href="https://www.linkedin.com/shareArticle?mini=true&url=<?php echo $url ?>&title=<?php echo $title ?>">
              <img class="blog-article__social-img blog-article__social-img_linkedin svg" alt="LinkedIn" src="<?= get_stylesheet_directory_uri(); ?>/images/blog-article-social-linkedin.svg">  
            </a>
          </div>
          <div class="blog-article__social-item">
          <a class="blog-article__social-url" href="https://www.facebook.com/sharer/sharer.php?u=<?php echo $url ?>">
              <img class="blog-article__social-img blog-article__social-img_facebook svg" alt="FaceBook" src="<?= get_stylesheet_directory_uri(); ?>/images/blog-article-social-facebook.svg">  
            </a>
          </div>
          <script>
            (function(){
              let shareButtons = document.querySelectorAll(".blog-article__social-url");

              if (shareButtons) {
                  [].forEach.call(shareButtons, function(button) {
                  button.addEventListener("click", function(event) {
 	            			let width = 555;
                    let height = 450;
                  
                    event.preventDefault();
                  
                    return window.open(this.href, 'Share Dialog', 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=0, copyhistory=no, width='+width+',height='+height+',top='+(screen.height/2-height/2)+',left='+(screen.width/2-width/2));
                  });
                });
              }
            })();
          </script>

        </div>
		  
		<div class="blog-article__report">
          <div class="blog-article__report-content">
            <h3 class="blog-article__report-title">
              Salt Edge report
            </h3>
            <p class="blog-article__report-subtitle">
              Discover what is the current state of open banking in Europe
            </p>
            <a href="https://www.saltedge.com/resources/others/api_integration_report" target="_blank" class="blog-article__report-btn">
              Download now
            </a>
          </div>
        </div>
		  
      </div>

      <div class="blog-article__subscribe">
          <?php dynamic_sidebar('newsletter-area'); ?>
      </div>

    </div>
  </div>
</div>

<div class="blog-list">
  <div class="container">
    <div class="blog-article__content">
      <div class="blog-article__related-articles">
          <p class="blog-article__related-articles-title">Related articles</p>
      </div>
    <div class="blog-list__content">
	    <?php
	      $categories = get_the_category($post->ID);
	      if ($categories) {
        
	      	$category_ids = array();
	      	foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;
	      	$args=array(
	      		'category__in' => $category_ids,
	      		'post__not_in' => array($post->ID),
	      		'showposts' => '4',
	      		'orderby' => 'rand',
	      		'ignore_sticky_posts' => '1',
	      		'no_found_rows' => true,
	      		'cache_results' => false
          );

          $my_query = new wp_query($args);

	      if( $my_query->have_posts() ) {
	      	echo '<div class="blog-list__items-wrap blog-article__items-wrap">';
	      	while ($my_query->have_posts()) {
	      		$my_query->the_post();
      ?>

	      <div class="blog-list__item blog-article__related-item">
          <a href="<?php the_permalink(); ?>">
            <div class="blog-list__item-img-wrap">
              <img class="blog-list__item-img" alt="" src="<?= the_post_thumbnail_url( 'medium_large' ); ?>">
            </div>
            <div class="blog-list__item-content blog-list__check-text">
              <div class="blog-list__date-wrap">
                <span>
                    <?php
                      $LettersPerMinute = 1500; // The average speed of reading letters per minute
                      $postContent = get_post_field('post_content', $post_id);
                      $postLength = strlen($postContent);
                      $postLength = $postLength  / $LettersPerMinute;
                      echo round($postLength);
                    ?>
                    min read
                </span>
                <span>
                  <?= get_the_date("M Y", get_the_ID()); ?>
                </span>
              </div>
              <div class="blog-list__item-title-wrap">
                <h2 class="blog-list__item-title"><?php the_title(); ?></h2>
              </div>
              <div class="blog-list__item-text" href="<?php the_permalink() ?>">
                <?php the_excerpt() ?>
              </div>
            </div>
          </a>
        </div>
	      <?php
	      		}
	      		echo '</div>';
	      	}
	      	wp_reset_query();
	      }
        ?>
      </div>
    </div>
  </div>
</div>
<div class="blog-article__popup-bg-photo"></div>
<img class="blog-article__img-overlay">
<p class="blog-article__photo-name-zoom"></p>

<div class="blog-slider__popup-bg"></div>
<div class="blog-slider__popup-slider"></div>

<?php get_footer(); ?>